Subject: [Geopriv] Relative location update

From: "Thomson, Martin" <[email-masked]>
Date: Tue, 29 Mar 2011 22:44:45 +0800

Thanks to Brian for updating the relative location draft.  This is now pretty close to complete.

With these minor changes (which shouldn't take long), I'm happy with the document in its current state.

ADDITIONS

Section 4.8 notes that we need TLVs for dynamic components.  This should be relatively simple.

 x. Dynamic Location TLVs

   Dynamic location elements use the definitions in [RFC5962].

 x.x Orientation

   The orientation of the target is described using one or two angles.

   | type | len | angle   | angle (optional) |

 x.x Speed

   The speed of the target is a scalar value in meters per second.

   | type | len | speed   |

 x.x Heading

  The heading, or direction of travel, is described using one or two angles.
  
   | type | len | angle   | angle (optional) |

NITS

Section 4.8 contains this note, that should be removed (the corresponding text is correct in Section 4.9, modulo the below):
   If this TLV contains the reference location, then we need to	
   explicitly say that the shape TLVs in here use WGS84; and when the	
   shapes are outside of this, they use the relative:2d or relative:3d	
   forms.

Section 4.7 says that the baseline TLVs are in 3825.  Is this supposed to be 4776 and 3825?  (or maybe just even 4776 since 3825 technically doesn't have TLVs).

Text suggestion:
  Baseline locations is described using the formats defined in [RFC4776] or [RFC3825bis].

Section 4.9 has a broken xref.

I'll check the examples and schema when I've got better access to tools.

--Martin